Bug 493124 - XIO error after closing glxgears
XIO error after closing glxgears
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 13:51 EDT by b. nutzer
Modified: 2009-05-08 11:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-08 11:20:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description b. nutzer 2009-03-31 13:51:35 EDT
Description of problem:

After closing glxgears i get error messages like the following:

XIO:  fatal IO error 104 (Connection reset by peer) on X server ":0.0"
      after 6618 requests (6615 known processed) with 0 events remaining.

It happens with and without composite effects enabled.


Additional info:

VGA Controller: ATI Technologies Inc Radeon Mobility X1400
Comment 1 François Cami 2009-04-06 17:05:00 EDT
This happens when you close glxgears using the window manager,
but not with CTRL+C on the CLI. Not even sure this is a real bug,
except maybe in glxgears itself.
It also happens when using the software renderer :

LIBGL_ALWAYS_SOFTWARE=1 glxgears

Switching component to Mesa, and Severity to Low.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Adam Jackson 2009-05-08 11:20:14 EDT
Not really a bug.  gears is a dumb app that doesn't participate in the polite shutdown protocol, so the window manager resorts to XKillClient() to break its connection when you click the close button.  This tears down the connection from the server's end, which means the next time gears goes to send commands to the X server, the socket is closed, and so it faults and exits.

Could fix gears to be smarter, but meh, not really worth it.

Note You need to log in before you can comment on or make changes to this bug.